sparse: require [section] in sparse config files (BC)
ClosedPublic

Authored by indygreg on Jul 15 2017, 5:11 PM.

Details

Summary

Previously, [include] was implicit and pattern lines before a
[section] were added to includes.

Because the format may change in the future and explicit behavior,
well, more explicit, this commit changes the config parser to
reject pattern lines that don't occur in a [section].

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
indygreg created this revision.Jul 15 2017, 5:11 PM
dsp added subscribers: durham, dsp.Jul 16 2017, 3:49 PM

Change looks good to me. I am in favor of that BC change. /cc @durham for an opinion tho.

dsp accepted this revision.Jul 16 2017, 3:49 PM
durin42 accepted this revision.Jul 17 2017, 1:53 PM
This revision is now accepted and ready to land.Jul 17 2017, 1:53 PM
This revision was automatically updated to reflect the committed changes.